package state51::Logger::Console;
use Moose;
use Term::ANSIColor;
use Encode ();
use namespace::autoclean;

with 'state51::Logger::Role';

sub message_line {
    my ($self, $logger, $args, $line) = @_;
    return unless $line;
    if (blessed($line) && $line->can('suppress_console_display') && $line->suppress_console_display) {
        return;
    }

    # TODO - remove support for old, incorrect, spelling.
    if (blessed($line) && $line->can('supress_console_display') && $line->supress_console_display) {
        return;
    }

    my $level = $args->{level};
    $line = Encode::encode('utf-8', $line);
    if (($level eq 'fatal') or ($level eq 'warn')) {
        print STDERR scalar localtime()." ";
        print STDERR color 'bold red';
        print STDERR "[$level]";
        print STDERR color 'reset';
        print STDERR " $line\n";
    }
    elsif ($level eq 'info') {
        print STDERR scalar localtime() . " $line\n";
    }
    elsif ($logger->trace and ($level ne 'billable')) {
        print STDERR scalar localtime() . " $line\n";
    }

    return undef;
}

1;

