package state51::Logger::Event::ArtistIdentifierUsage;
use Moose;
use MooseX::Types::Moose qw/ Int Str Maybe /;
use Moose::Util::TypeConstraints;

use namespace::autoclean;

sub suppress_console_display { 1 }

extends 'state51::Logger::Event';

has artist_id => (
    isa => Int,
    is  => 'ro',
    required => 1,
);

has musicservice_id => (
    isa => Int,
    is  => 'ro',
    required => 1,
);

has musicservice_name => (
    isa => Str,
    is  => 'ro',
    required => 1,
);

has identifier_value => (
    isa => Maybe[Str],
    is  => 'ro',
    required => 1,
);

has identifier_namespace => (
    isa => Maybe[Str],
    is  => 'ro',
    required => 1,
);

has organisation_id => (
    isa => Int,
    is  => 'ro',
    required => 1,
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Export to DeliveryPoint %s for artist id %d for org %d used identifier %s:%s},
    attributes => [qw/ musicservice_name artist_id organisation_id identifier_value identifier_namespace/],
};

__PACKAGE__->meta->make_immutable;
1;