package state51::Logger::Event::AudioFileProbe;
use Moose;
use MooseX::ClassAttribute;
use namespace::clean -except => 'meta';

sub suppress_console_display { 1 }

extends 'state51::Logger::Event';

class_has documentation => (
    is => 'ro',
    isa => 'Str',
    default => 'These are generated every time `File::Audio` is given a new file to examine to determine low level characteristics like bitrate,sample rate, etc.',
);

has method => (
    isa => 'Str',
    is => 'ro',
    required => 1,
);

has data => (
    isa => 'HashRef',
    is => 'ro',
    required => 1,
);

has 'filename' => (
    isa => 'Str',
    is => 'ro',
    required => 1,
);

has 'duration' => (
    is => 'ro',
    required => 1,
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Probing %s took %ss},
    attributes => [qw/ filename duration /],
};

__PACKAGE__->meta->make_immutable;
1;

