package state51::Logger::Event::Billable;
use Moose;
use MooseX::Storage;
use MooseX::Types::ISO8601 qw/ ISO8601DateTimeStr /;
use namespace::autoclean;

extends 'state51::Logger::Event';

# FIXME: the parent class already has a date, which is the date the event is sent
# not the date the event occurred.
has date => (
    is => 'ro',
    isa => ISO8601DateTimeStr,
    lazy => 1,
    default => sub { DateTime->from_epoch(epoch => shift()->epochtime) },
    coerce => 1,
    required => 0,
);

with qw/
    state51::Log::Message::Structured::Stringify::AsJSON
/;

1;

