package state51::Logger::Event::CephDeduplicate;
use Moose;
use MooseX::Types::Moose qw/ Int /;
use Moose::Util::TypeConstraints;

use namespace::autoclean;

sub suppress_console_display { 1 }

extends 'state51::Logger::Event';

with 'state51::Logger::Event::Role::Ceph';

has size => (
    isa => Int,
    is  => 'ro',
    required => 1,
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Ceph key %s detected as duplicate and not rewritten.  Saved %d bytes.},
    attributes => [qw/ key size /],
};

__PACKAGE__->meta->make_immutable;
1;

