package state51::Logger::Event::Contract::ContractOriginalFileUploaded;
use Moose;
use MooseX::Types::Moose qw/ Str /;
use namespace::autoclean;

extends 'state51::Logger::Event::Contract';

has platform_file_id => ( isa => Str, required => 0, is => 'ro' );

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Platform File ID: %d uploaded for contract ID: %s by %s"},
    attributes    => [qw/ platform_file_id contract_id user_id /],
};

__PACKAGE__->meta->make_immutable;
