package state51::Logger::Event::Contract::StatusUpdated;
use Moose;
use MooseX::Types::Moose qw/ Str /;
use namespace::autoclean;

extends 'state51::Logger::Event::Contract';

has status_from => ( isa => Str, required => 0, is => 'ro' );
has status_to   => ( isa => Str, required => 0, is => 'ro' );

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Contract ID: %d, updated with status from '%s' to '%s' by %s"},
    attributes    => [qw/ contract_id status_from status_to user_id /],
};

__PACKAGE__->meta->make_immutable;
