package state51::Logger::Event::Contract::YouTubeChannelIDCreated;
use Moose;
use MooseX::Types::Moose qw/ Str Int /;
use namespace::autoclean;

extends 'state51::Logger::Event::Contract';

has '+contract_id'     => ( required => 0 );
has platform_id        => ( isa      => Str, required => 1, is => 'ro' );
has youtube_channel_id => ( isa      => Str, required => 1, is => 'ro' );

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{YouTubeChannelID: %s (%s) created by %s},
    attributes    => [qw/youtube_channel_id platform_id user_id/],
};

__PACKAGE__->meta->make_immutable;
