package state51::Logger::Event::DingDong;
use Moose;
use MooseX::Types::Moose qw/HashRef Str/;
use MooseX::ClassAttribute;
use namespace::autoclean;

extends 'state51::Logger::Event';

class_has documentation => (
    is  => 'ro',
    isa => Str,
    default =>
      'Emitted when an someone presses a doorbell.',
);

has payload => (
    isa      => HashRef,
    is       => 'rw',
    required => 1,
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Ding dong! Someone pressed the doorbell.},
    attributes =>
      [qw/ /],
};

__PACKAGE__->meta->make_immutable;

