package state51::Logger::Event::Document;
use Moose;
use MooseX::Types::Moose qw/ Str Num /;
use state51::Types qw/InstanceID/;
use namespace::autoclean;

extends 'state51::Logger::Event';

has role_id  => ( isa => InstanceID, required => 1, is => 'ro' );

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{%s (%d) with Document class"},
    attributes    => [qw/ username role_id /],
};

__PACKAGE__->meta->make_immutable;
