package state51::Logger::Event::Document::Template;
use Moose;
use MooseX::Types::Moose qw/ Num Str /;
use namespace::autoclean;

extends 'state51::Logger::Event::Document';

with 'state51::Logger::Event::Role::WebHit';

has document_id => ( isa => Num, required => 1, is => 'ro' );
has action      => ( isa => Str, required => 1, is => 'ro' );

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{%s %s document template (%d)"},
    attributes    => [qw/ username action document_id/],
};


__PACKAGE__->meta->make_immutable;
