package state51::Logger::Event::ExportBatchUpdate;
use Moose;
use MooseX::Types::Moose qw/ Str Num /;
use state51::Types qw/InstanceID/;
use namespace::autoclean;

extends 'state51::Logger::Event';

has [qw / batch_id export_request_id provider_org_id musicservice_id /] => (
    is       => 'ro',
    isa      => InstanceID,
    required => 1
);

has [qw / musicservice_tla service_status status /] => (
    is       => 'ro',
    isa      => Str,
    required => 1
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Export of batch %d updated},
    attributes    => [qw/ batch_id /],
};

__PACKAGE__->meta->make_immutable;

