package state51::Logger::Event::Fail;
use Moose;
use MooseX::Types::Moose qw/ Str /;

extends 'state51::Logger::Event';

has name => (
    isa => Str,
    is => 'ro',
    required => 1,
);

has caller => (
    isa => Str,
    is => 'ro',
    required => 1,
);

has error_message => (
    isa => Str,
    is => 'ro',
    required => 1,
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Failure with name "%s" in caller "%s" threw an error: %s},
    attributes => [qw/ name caller error_message /],
};

__PACKAGE__->meta->make_immutable;
1;

