package state51::Logger::Event::FtpUsage;
use Moose;
use MooseX::Types::Moose qw/ Int Str ArrayRef /;
use state51::Types qw/InstanceID/;

extends 'state51::Logger::Event';

has directory => (
    isa => Str,
    is => 'ro',
    required => 1,
);

has organisation => (
    isa => InstanceID,
    is => 'ro',
    required => 1,
);

has role => (
    isa => InstanceID,
    is => 'ro',
    required => 1,
);

has bytes_weeks_old => (
    isa => ArrayRef[Int],
    is => 'ro',
    required => 1,
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
     format_string => q{Directory %s owned by %s size data updated},
    attributes => [qw/ directory role /],
};

__PACKAGE__->meta->make_immutable;
1;

