package state51::Logger::Event::Greedbag;
use Moose;
use MooseX::Storage;
use Moose::Util::TypeConstraints;
use namespace::autoclean;

extends 'state51::Logger::Event';

has retailer_name => (
    init_arg => undef,
    is => 'ro',
    lazy => 1,
    default => sub {
        my ($self) = @_;

        return '' unless $self->_retailer;

        $self->_retailer->name;
    },
);

has retailer_identifier => (
    init_arg => undef,
    is => 'ro',
    lazy => 1,
    default => sub {
        my ($self) = @_;

        return '' unless $self->_retailer;

        $self->_retailer->identifier;
    },
);

class_type 'state51::OrganisationAttribute::Retailer';
has _retailer => (
    init_arg => 'retailer',
    is => 'ro',
    isa => 'state51::OrganisationAttribute::Retailer',
    traits => ['DoNotSerialize'],
);

__PACKAGE__->meta->make_immutable;
