package state51::Logger::Event::Greedbag::Bagged;
use Moose;
use MooseX::Storage ();
use MooseX::Types::Moose qw/ Num Str Int /;
use namespace::autoclean;

extends 'state51::Logger::Event::Greedbag';

sub routing_key { 'state51.greedbag.bagged' }

has quantity => (
    is => 'ro',
    isa => Num,
    required => 1,
);

has title => (
    is => 'ro',
    isa => Str,
    required => 1,
);

has type => (
    is => 'ro',
    isa => Str,
    required => 1,
);

has retailer_id => (
    is => 'ro',
    isa => Str,
    required => 1,
);

has order_no => (
    is => 'ro',
    isa => Int,
);

has campaign => (
    is => 'ro',
    required => 0,
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Bag %s %s %s},
    attributes => [qw/ type quantity title /],
};

__PACKAGE__->meta->make_immutable;
1;

