package state51::Logger::Event::Greedbag::Purchase;
use Moose;
use MooseX::Storage ();
use MooseX::Types::Moose qw/ Num Str Int /;
use namespace::autoclean;

extends 'state51::Logger::Event::Greedbag';

sub routing_key { 'state51.greedbag.purchase' }

has amount => (
    is => 'ro',
    isa => Num,
    required => 1,
);

has currency => (
    is => 'ro',
    isa => Str,
    required => 1,
);

has order_no => (
    is => 'ro',
    isa => Int,
);

has retailer_id => (
    is => 'ro',
    isa => Str,
    required => 1,
);

has territory => (
    is => 'ro',
    isa => Str,
    required => 0,
);

has campaign => (
    is => 'ro',
    required => 0,
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Purchase for %s %s made on %s},
    attributes => [qw/ amount currency  retailer_name /],
};

__PACKAGE__->meta->make_immutable;
1;

