package state51::Logger::Event::GreedbagCheckout::OidDiffAlert;
use Moose;
use MooseX::Storage ();
use namespace::autoclean;

extends 'state51::Logger::Event::GreedbagCheckout';

has sess_greed_id => (
    is => 'ro',
    default => 'unknown',
);

has new_greed_id => (
    is => 'ro',
    default => 'unknown',
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => '%s auto setting oid detected GreedOrderID difference between session (%s) and new (%s)',
    attributes    => [qw/path sess_greed_id new_greed_id/],
};

__PACKAGE__->meta->make_immutable;

1;

