package state51::Logger::Event::ImportFeed::ProcessOneBatch::Success;
use Moose;
use MooseX::Types::Moose qw/ Str /;
use namespace::clean -except => "meta";

extends 'state51::Logger::Event::ImportFeed::ProcessOneBatch';

has new_batch_path => (
    is => 'ro',
    isa => Str,
    required => 1,
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
        format_string => q{Moving successfully ingested batch from %s to  %s},
        attributes => [qw/ batch_path new_batch_path /],
    },
    'state51::Log::Message::Structured';

__PACKAGE__->meta->make_immutable;
1;

