package state51::Logger::Event::LockReleased;
use Moose;
use MooseX::Types::Moose qw/ Num /;
use namespace::autoclean;

extends 'state51::Logger::Event';

with 'state51::Logger::Event::Role::Lock';

has duration => (
    is => 'ro',
    isa => Num,
    required => 1,
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Lock '%s' released after %fs},
    attributes => [qw/ name duration /],
};

__PACKAGE__->meta->make_immutable;

