package state51::Logger::Event::Login;
use Moose;
use MooseX::Types::Moose qw/ Str /;
use namespace::autoclean;

extends 'state51::Logger::Event';

with 'state51::Logger::Event::Role::WebHit';

has username => ( isa => Str, required => 1, is => 'ro' );
has address => ( isa => Str, required => 0, is => 'ro' );

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{%s: Login by %s from IP %s to %s/%s by %s took %ss, did %s queries"},
    attributes => [qw/ hitid username address vhost path username time queries /],
};

__PACKAGE__->meta->make_immutable;

