package state51::Logger::Event::Login::Failed;
use Moose;
use MooseX::Types::Moose qw/ Str /;
use namespace::autoclean;

extends 'state51::Logger::Event::Login';

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{%s: Login Failed by %s from IP: %s to %s/%s by %s took %ss, did %s queries"},
    attributes => [qw/ hitid username address vhost path username time queries /],
};
with 'state51::Logger::Event::Role::WebHit';

__PACKAGE__->meta->make_immutable;

