package state51::Logger::Event::MailService::ManagementTool::ReactivateSubscribers;
use Moose;
use MooseX::Types::Moose qw/ Num /;
use namespace::autoclean;

extends 'state51::Logger::Event::MailService::ManagementTool';

has total_updated => ( isa => Num, required => 0, is => 'ro' );

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{%s (%d) reactivated %d subscribers of %s (%s)},
    attributes    => [qw/ username role_id total_updated mailservice_name mailservice_id /],
};

__PACKAGE__->meta->make_immutable;
