package state51::Logger::Event::MailService::ManagementTool::SendTestMailout;
use Moose;
use MooseX::Types::Moose qw/ Num Str /;
use namespace::autoclean;

extends 'state51::Logger::Event::MailService::ManagementTool';

has mailout_id => ( isa => Num, required => 1, is => 'ro' );
has to_email   => ( isa => Str, required => 1, is => 'ro' );

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{%s (%d) send test mailout (%d) of mailservice %s (%s) to %s},
    attributes    => [qw/username role_id mailout_id mailservice_name mailservice_id to_email/],
};

__PACKAGE__->meta->make_immutable;
