package state51::Logger::Event::MogileErase;
use Moose;
use MooseX::Types::Moose qw/ Int /;
use Moose::Util::TypeConstraints;

use namespace::autoclean;

sub suppress_console_display { 1 }

extends 'state51::Logger::Event';

with 'state51::Logger::Event::Role::Mogile';

has size => (
    isa => Int,
    is  => 'ro',
    required => 1,
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
     format_string => q{Mogile file_id %s erased. Was %d bytes.},
    attributes => [qw/ file_id size /],
};

__PACKAGE__->meta->make_immutable;
1;

