package state51::Logger::Event::MogileGetPaths;
use Moose;
use MooseX::Types::Moose qw/ Num Str Int Maybe /;
use Moose::Util::TypeConstraints;

use namespace::autoclean;

extends 'state51::Logger::Event';

has dkey => (
    isa => Str,
    is  => 'ro',
    required => 1,
);

has 'duration' => (
    isa => Num,
    is => 'ro',
    required => 1,
);

has file_id => (
    is => 'ro',
    isa => Maybe[Str],
    required => 0,
);

has paths_count => (
    is => 'ro',
    isa => Int,
    required => 0,
);

sub suppress_console_display { 1 }

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
     format_string => q{Mogile Paths found for '%s' by asking mogile directly, took %.6fs},
    attributes => [qw/ dkey duration /],
};

__PACKAGE__->meta->make_immutable;
1;

