package state51::Logger::Event::MogileWriteFail;
use Moose;
use MooseX::Types::Moose qw/ Num Int /;
use Moose::Util::TypeConstraints;

use namespace::autoclean;

sub suppress_console_display { 1 }

extends 'state51::Logger::Event';

with 'state51::Logger::Event::Role::Mogile';

has bytes_sent => (
    isa => Int,
    is  => 'ro',
    required => 1,
);

has total_bytes => (
    isa => Int,
    is  => 'ro',
    required => 1,
);

has client => (
    isa => enum([qw/ callback async /]), # async not logging yet, though.
    is  => 'ro',
    required => 1,
);

has time_elapsed => (
    isa => Num,
    is  => 'ro',
    required => 1,
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
     format_string => q{Mogile access from %s by %s to %s failed after %.6f, %d out of %d bytes were transferred.},
    attributes => [qw/ hostname client url time_elapsed bytes_sent total_bytes /],
};

__PACKAGE__->meta->make_immutable;
1;

