package state51::Logger::Event::RequestUpdate;
use Moose;
use MooseX::Types::Moose qw/ Str Num /;
use state51::Types qw/InstanceID/;
use namespace::autoclean;

extends 'state51::Logger::Event';

has [qw / request_id organisation_id /] => (
    is       => 'ro',
    isa      => InstanceID,
    required => 1
);

has [qw / task organisation_name priority status /] => (
    is       => 'ro',
    isa      => Str,
    required => 1
);

has creator_id => (
    is       => 'ro',
    isa      => Num,
    required => 0
);

has creator_name => (
    is       => 'ro',
    isa      => Str,
    required => 0
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Request %d updated},
    attributes    => [qw/ request_id /],
};

__PACKAGE__->meta->make_immutable;

