package state51::Logger::Event::ShopifyStockUpdate;
use Moose;
use MooseX::Types::Moose qw/ Num Str /;
use namespace::autoclean;

extends 'state51::Logger::Event';

has 'release_format_id' => (
    is => 'ro',
    isa => Num,
    required => 1,
);

has 'odoo_stock_id' => (
    is => 'ro',
    isa => Num,
    required => 1,
);

has 'new_quantity' => (
    is => 'ro',
    isa => Num,
    required => 1,
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{RFID %d stock updated at odoo location %d. New quantity on shopify: %d},
    attributes => [qw/ rfid odoo_id new_quant /],
};

__PACKAGE__->meta->make_immutable;
1;
